Bug 494517 - Review Request: python-xkit - A simple, transparent and easy to extend xorg parser
Review Request: python-xkit - A simple, transparent and easy to extend xorg p...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 494518
  Show dependency treegraph
 
Reported: 2009-04-07 05:42 EDT by Rahul Sundaram
Modified: 2013-03-13 01:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 09:19:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-04-07 05:42:46 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/x-kit.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/x-kit-0.4.2-1.fc10.src.rpm

Description: 

A simple, transparent and easy to extend xorg parser
Comment 1 Susi Lehtola 2009-04-08 18:06:48 EDT
- Why do you remove the egg? It should be included:
http://fedoraproject.org/wiki/Packaging/Python/Eggs

- Drop explicit Requires: python, it is automatically picked up.

- For clearness, remove "--record=INSTALLED_FILES" from install phase, since the record isn't used for anything.

- Add "-O1 --skip-build" to install phase.

- Extend description. Maybe use that from upstream:
A kit to manipulate xorg.conf which is aimed at both developers and users. It is a distribution and desktop agnostic project.

X-kit is composed of the following programs:

* XorgParser: a simple, transparent and easy to extend xorg parser.
* XorgValidator: a program which uses X-parser, tries to make sense of xorg.conf and operates accordingly.
* XorgConfig-gtk: a simple GUI to xorg.conf
* XorgConfig-kde: a simple GUI to xorg.conf

-------

Review:

rpmlint output:
x-kit.noarch: W: spurious-executable-perm /usr/share/doc/x-kit-0.4.2/examples/0-example.py
x-kit.noarch: W: spurious-executable-perm /usr/share/doc/x-kit-0.4.2/examples/1-example.py
x-kit.noarch: W: spurious-executable-perm /usr/share/doc/x-kit-0.4.2/tests/run
x-kit.noarch: W: doc-file-dependency /usr/share/doc/x-kit-0.4.2/tests/run /usr/bin/python
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

- Remove executable perms in setup phase, after that rpmlint output becomes clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Gianluca Sforna 2009-04-09 04:17:27 EDT
The naming of this package does not look correct, python libraries should live in the python- namespace. i.e. python-xkit would do.
Comment 3 Susi Lehtola 2009-04-09 04:25:14 EDT
(In reply to comment #2)
> The naming of this package does not look correct, python libraries should live
> in the python- namespace. i.e. python-xkit would do.  

You're right, the Python section of the Naming Guidelines does state that the names of packages that are purely in Python must either begin with py or get python- as a prefix.

So the correct name of this package is python-x-kit.
Comment 4 Rahul Sundaram 2009-04-09 17:15:41 EDT
Fix issues noted in review. I am not extending the description since I haven't decided on packaging rest of the components beyond just the parser for now.

http://sundaram.fedorapeople.org/packages/python-xkit.spec
http://sundaram.fedorapeople.org/packages/python-xkit-0.4.2-2.fc10.src.rpm
Comment 5 Susi Lehtola 2009-04-09 17:48:00 EDT
Okay, the package should be good to go now.

APPROVED


PS. For the sake of clearness, move
chmod -x tests/* examples/*
to the prer phase after setup, since it has nothing to do with install...
Comment 6 Rahul Sundaram 2009-04-09 18:04:11 EDT
I have moved chmod into the prep stage and updated spec. Thanks for the quick review. 

Note to cvs admin. I only need a rawhide branch.


New Package CVS Request
=======================
Package Name: python-xkit
Short Description: A simple, transparent and easy to extend xorg parser  
Owners: sundaram
Branches: 
InitialCC:
Comment 7 Kevin Fenzi 2009-04-09 20:22:06 EDT
Since this package is just coming in for the dontzap package, is it still a good idea, given
http://who-t.blogspot.com/2009/04/zapping-server.html ?
Comment 8 Kevin Fenzi 2009-04-12 14:26:38 EDT
Looks like there are some other packages that use this, not just dontzap. 
cvs done.
Comment 9 Susi Lehtola 2009-04-25 03:44:13 EDT
Ping, are you going to import?
Comment 10 Rahul Sundaram 2009-04-25 03:57:40 EDT
There has been a build failure. 

http://koji.fedoraproject.org/koji/buildinfo?buildID=97763

I haven't had time to look into it yet.
Comment 11 Rahul Sundaram 2009-04-27 09:19:27 EDT
I have build it now.

Note You need to log in before you can comment on or make changes to this bug.